Timekit developers

GET /events/:id

You can retrieve event by their ID, but only events that are owned by the user/resource authenticated.

Endpoint

GET https://api.timekit.io/v2/events/:id

Parameters

Name In Type Required Default Description
id path string yes the id of the event
include query string Available includes: participants

Request examples

curl
curl -X GET \
     -H 'Timekit-App: back-to-the-future' \
     -u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
     https://api.timekit.io/v2/events/31c354d2-7249-4877-b9b7-d076e8e4b676

Response examples

200

json
{
  "data": {
    "id": "31c354d2-7249-4877-b9b7-d076e8e4b676",
    "start": "1955-11-12T21:30:00-07:00",
    "end": "1955-11-12T22:15:00-07:00",
    "what": "Catch the lightning",
    "where": "Courthouse, Hill Valley, CA 95420, USA",
    "calendar_id": "bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2",
    "allDay": false,
    "description": "The lightning strikes at 10:04 PM exactly! I need you to be there Doc!."
  }
}

404

json
{
  "error": "Resource does not exist"
}

403

json
{
  "errors": "You are not allowed to do this!"
}